Package org.drinkless.tdlib

# Class TdApi.ChangeImportedContacts

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.ImportedContacts>
org.drinkless.tdlib.TdApi.ChangeImportedContacts

Enclosing class:
  TdApi

public static class TdApi.ChangeImportedContacts extends TdApi.Function<TdApi.ImportedContacts>
Changes imported contacts using the list of contacts saved on the device. Imports newly added contacts and, if at least the file database is enabled, deletes recently deleted contacts. Query result depends on the result of the previous query, so only one query is possible at the same time.

Returns `ImportedContacts`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Contact[]`
  `contacts`
  The new list of contacts, contact's vCard are ignored and are not imported.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChangeImportedContacts()`
  Default constructor for a function, which changes imported contacts using the list of contacts saved on the device.
  `ChangeImportedContacts(TdApi.Contact[] contacts)`
  Creates a function, which changes imported contacts using the list of contacts saved on the device.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### contacts

    public TdApi.Contact[] contacts
    The new list of contacts, contact's vCard are ignored and are not imported.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChangeImportedContacts

    public ChangeImportedContacts()
    Default constructor for a function, which changes imported contacts using the list of contacts saved on the device. Imports newly added contacts and, if at least the file database is enabled, deletes recently deleted contacts. Query result depends on the result of the previous query, so only one query is possible at the same time.

    Returns `ImportedContacts`

  - ### ChangeImportedContacts

    public ChangeImportedContacts(TdApi.Contact[] contacts)
    Creates a function, which changes imported contacts using the list of contacts saved on the device. Imports newly added contacts and, if at least the file database is enabled, deletes recently deleted contacts. Query result depends on the result of the previous query, so only one query is possible at the same time.

    Returns `ImportedContacts`

    Parameters:
      `contacts` - The new list of contacts, contact's vCard are ignored and are not imported.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.ImportedContacts>`
    Returns:
      this.CONSTRUCTOR